using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Configuration;

namespace SciServer.Logging.Test
{
    class Program
    {
        static void Main(string[] args)
        {
            using (Logger logger = Logger.FromConfig())
            {
                logger.Connect();
                logger.SendMessage(logger.CreateInfoMessage("This is INFO message"));
                logger.SendMessage(logger.CreateErrorMessage(new Exception("This is ERROR message")));
                logger.SendMessage(logger.CreateCustomMessage("UNDEFINED","This is a CUSTOM message. { \"Parameter\":\"Value\" }"));
            }
        }
    }
}
